/**
 * Theme Name:        Tripito - Divi child theme
 * Template:          Divi
 * Description:       Divi child theme created by Axiom Labs
 * Version:           1.0.0
 * Author:            Axiom Labs
 * Author URI:        https://axiomlabs.it/
 * Tags:              classic-theme
 * Text Domain:       divi-child-tripito
 * Domain Path:       /languages
 * Requires at least: 6.0
 * Requires PHP:      7.4
 */

:root {
    --main-tripito-text-color: #43322e;
    --main-tripito-red-color: #ff1010;
}


body {
    font-family: 'Bricolage Grotesque', sans-serif;
    font-weight: 400;
    color: #43322e;
    font-size: 16px;
    line-height: 1.6;
}

p {
    font-size: 16px;
    line-height: 1.6;
}

a:link {
    color: #ff1010;
    text-decoration: underline;
}

a:visited {
    color: #ff1010;
}

a:hover {
    color: #ff1010;
    text-decoration: none;
}

a:active {
    color: #ff1010;
}

/* Heading H1, H2, H3 ------- */
h1 {
    font-size: 48px;
    font-weight: 700;
    line-height: 1.15;
}

h2 {
    font-size: 32px;
    font-weight: 600;
    line-height: 1.2;
}

h3 {
    font-size: 24px;
    font-weight: 600;
}

/* Header (archive Krajina, single Zajazd) ------- */
/* ----------------------------------------------- */
/* ----------------------------------------------- */

/* Header - fixed position */
.et-l.et-l--header {
    position: fixed;
    top: 0;
    width: 100%;
    z-index: 999;
}
/* Header - if signed in - fixed position little under admin menu */
.admin-bar .et-l.et-l--header {
    top: 47px;
}

@media (min-width: 980px) {
    .et-l.et-l--header {
        top: 55px;
    }
}

/* Header Section */
.tripito-header a,
.tripito-header a:link,
.tripito-header a:visited,
.tripito-header a:hover,
.tripito-header a:active,
.et-db #et-boc .et-l .tripito-header a,
.et-db #et-boc .et-l .tripito-header a:link,
.et-db #et-boc .et-l .tripito-header a:visited,
.et-db #et-boc .et-l .tripito-header a:hover,
.et-db #et-boc .et-l .tripito-header a:active {
    text-decoration: none;
    color: var(--main-tripito-text-color);
}

/* Header menu ------------------------------ */
/* All menus and submenus */
.et-db #et-boc .et-l .tripito-header-menu #menu-header-menu li > ul.sub-menu,
.et-db #et-boc .et-l .tripito-header-menu #mobile_menu1.et_mobile_menu  {
    background-color: #F5FAFD;
    font-weight: 500;
    border-top: 0;
    border-radius: 0 0 24px 24px;
}

.et-db #et-boc .et-l .tripito-header-menu #mobile_menu1.et_mobile_menu {
    position:absolute;
    max-height: calc(100vh - 85px);
    overflow-y: scroll;
    width: 238px;
    left: -25vw;
    min-width: fit-content;
    padding: 0 12px 8px 12px;
    border-radius: 24px;
}


/* Arrow of 1st submenu - fix position */
.et-db #et-boc .et-l .et-menu .menu-item-has-children > a:first-child:after {
    top: 15px;
}

/* Arrow of 2nd submenu - fix position */
.et-db #et-boc .et-l .et-menu li li.menu-item-has-children > a:first-child::after {
    right: 0;
    top: 12px;
}


/* Submenu - a padding */
.et-db #et-boc .et-l .et-menu li li a {
    padding: 5px 27px;
}

/* Submenu submenu padding */
.et-db #et-boc .et-l .et_pb_menu .et-menu-nav > ul ul {
    padding: 0;
}

/* Header menu (only main menu) - A padding --- */
.et-db #et-boc .et-l .tripito-header .et_pb_menu--without-logo .et_pb_menu__menu > nav > ul > li > a {
    padding: 16px;
}

.et-db #et-boc .et-l .et_pb_menu--without-logo .et_pb_menu__menu > nav > ul > li {
    margin-top: 0;
}

.et-db #et-boc .et-l .et_pb_menu .et-menu > li {
    padding-left: 0;
    padding-right: 0;
}

/* TODO - Saiffer - What is this class? */
.et-db #et-boc .et-l .et_flex_column_6_24 {
    width: 100px;
}

.et-db #et-boc .et-l .et_pb_row_0_tb_header.et_pb_row {
    padding: 0 22px;
}

/* Logo - position it on the baseline of menu list items */
.et-db #et-boc .et-l .et_pb_column_0_tb_header {
    margin-bottom: 2px;
}

.et-db #et-boc .et-l .nav li li {
    padding: 0;
    line-height: 1em;
}

/* --- */

.et-db #et-boc .et-l .et_pb_menu_0_tb_header #menu-header-menu.nav li.et-reverse-direction-nav[data-reverse-reason="first-level"] > ul,
.et-db #et-boc .et-l .et_pb_menu_0_tb_header #menu-header-menu.nav li.et-reverse-direction-nav[data-reverse-reason="both"] > ul,
.et-db #et-boc .et-l .et_pb_menu_0_tb_header #menu-header-menu.nav li.et-reverse-direction-nav[data-reverse-reason="first-level"] > .sub-menu,
.et-db #et-boc .et-l .et_pb_menu_0_tb_header #menu-header-menu.nav li.et-reverse-direction-nav[data-reverse-reason="both"] > .sub-menu {
    left: 0;
    right: initial;
}

/* 1st submenu */
.et-db #et-boc .et-l .tripito-header-menu #menu-header-menu > li > ul.sub-menu {
    display: grid;
    grid-template-rows: repeat(6, 1fr);
    grid-auto-flow: column;
    top: 43px;
    left: -194%;
    padding: 0 12px 8px 12px;
}

/* 2nd submenu */
.et-db #et-boc .et-l .tripito-header-menu #menu-header-menu > li > ul.sub-menu > li > ul.sub-menu {
    display: grid;
    grid-template-columns: repeat(1, 1fr);
    padding: 0 12px 8px 12px;
}


/* #menu-header-menu - Only 1st menu in hierarchy */
.et-db #et-boc .et-l .nav li li ul {
    top: 36px;
    left: 0;
}

/* #menu-header-menu - Set width of the LI to fit-content and not fixed width */
.et-db #et-boc .et-l .et-menu li li a {
    width: auto;
    padding: 13px 16px;
}

/* #menu-header-menu - Fix menu background is not under whole menu */
.et-db #et-boc .et-l .nav li ul {
    width: fit-content;
}

.et-db #et-boc .et-l .tripito-header-menu #menu-header-menu a,
.et-db #et-boc .et-l .tripito-header-menu #menu-header-menu a:hover,
.et-db #et-boc .et-l .tripito-header-menu #menu-header-menu li ul.sub-menu a:hover {
    transition: initial;
}

.et-db #et-boc .et-l .tripito-header a:hover {
    color: var(--main-tripito-red-color);
}

/* Header - remove horizontal gap */
.et-db #et-boc .et-l .et_pb_row_0_tb_header > [class*="et_flex_column"] {
    --horizontal-gap-parent: 0 !important;
}

/* Header - force logo width */
.tripito-logo img {
    margin-right: 40px;
    min-width: 70px;
}

/* Header - Menu */
.et-db #et-boc .et-l .et_pb_row:not([class*="et_flex_column"]).tripito-header-menu {
    max-width: max-content; /* Limit width to content */
    margin: 0 auto; /* Center the menu */
    overflow: visible; /* To see .sub-menu in main-menu */
}

/* Header - Menu - fix on Blog posts */
.et-db #et-boc .et-l .et_pb_section.tripito-header {
    padding: 0;
}

/* Hero Image - Set big padding from top. Bigger the device, bigger gap. */
.et-db #et-boc .et-l .et_pb_section.et_pb_section_0_tb_body {
    padding-top: calc(50px + 25vw);
    padding-bottom: 50px;
}

/* Hero Image black semi-transparent overlay with brown semi-transparent overlay - For better text readability  */
.et-db #et-boc .et-l .et_pb_section.et_pb_section_0_tb_body::after {
    content: '';
    position: absolute;
    inset: 0;
    background: linear-gradient(180deg, rgba(0,0,0,0) 0%, rgba(0,0,0,0.54) 100%), rgba(67, 50, 46, 0.34);
}

/* Zájazd ------------------------------ */
/* ------------------------------------- */
/* ------------------------------------- */

/* Zájazd - Hlavička ------------------- */
.tripito-trip-header,
.tripito-trip-perex,
.tripito-trip-number-of-days {
    text-shadow: 0 0 4px rgba(0, 0, 0, 1);
}

.tripito-trip-header h1 {
    padding: 0;
}

.tripito-trip-perex {
    padding-top: 30px;
}

.tripito-trip-perex p {
    font-size: 24px;
    font-weight: 600;
    line-height: 1.25;
}

.tripito-trip-perex::before {
    content: '';
    position: absolute;
    left: 0;
    top: 0;
    width: 20%; /* 100% - 25% top - 25% bottom */
    height: 4px;
    background-color: white;
}

@media (min-width: 768px) {
    .tripito-trip-perex {
        padding-left: 25px;
        padding-top: 0px;
    }

    .tripito-trip-perex::before {
        content: '';
        position: absolute;
        left: 0;
        top: 20%;
        height: 60%; /* 100% - 25% top - 25% bottom */
        width: 4px;
        background-color: white;
    }
}

.tripito-trip-number-of-days img {
    box-shadow: 0 0 4px rgba(0, 0, 0, 1);
}

/* Zájazd - Tagy v hlavičke Zájazdu */
.et-db #et-boc .et-l .tripito-trip-tags a {
    display: inline-block;
    padding: 0 8px;
    border: 1px solid white;
    border-radius: 20px;
    margin-right: 5px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.5);
    text-shadow: 0 0 4px rgba(0, 0, 0, 1);
}

.et-db #et-boc .et-l .tripito-trip-tags a:link {
    color: white;
    text-decoration: none;
}

.et-db #et-boc .et-l .tripito-trip-tags a:visited {
    color: white;
}

.et-db #et-boc .et-l .tripito-trip-tags a:hover {
    color: black;
    background-color: white;
    text-shadow: none;
}

.et-db #et-boc .et-l .tripito-trip-tags a:active {
    color: black;
    background-color: white;
}

/* Zájazd - Tagy v hlavičke Zájazdu - Remove separator between tags */
.tripito-trip-tags .tripito-trip-tags__separator {
    display: none;
}

/* Zájazd - Nav tabs */
.et-db #et-boc .et-l .et_pb_text ul.tripito-trip-nav-tabs {
    display: flex;
    flex-wrap: wrap;
    padding: 0; /* removing Divi padding */
}

@media (min-width: 768px) {
    .tripito-trip-nav-tabs {
        flex-direction: row;
    }
}

.tripito-trip-nav-tabs li {
    list-style-type: none;
}

.tripito-trip-nav-tabs li a {
    padding: 1rem;
    display: inline-block;
}

.tripito-trip-nav-tabs li:first-child a {
    padding-left: 0;
}

.et-db #et-boc .et-l .tripito-trip-nav-tabs li a { color: #43322E; }
.et-db #et-boc .et-l .tripito-trip-nav-tabs li a:link { color: #43322E; text-decoration: none; }
.et-db #et-boc .et-l .tripito-trip-nav-tabs li a:visited { color: #43322E; }
.et-db #et-boc .et-l .tripito-trip-nav-tabs li a:hover { color: #43322E; background: white; }
.et-db #et-boc .et-l .tripito-trip-nav-tabs li a:active { color: #43322E; }

/* Trip Outgoing Form (Zajazd) ------------------- */
.tripito-trip-outgoing-form {}

/* Outgoing form - Intro text - Heading */
.tripito-trip-outgoing-form nf-field:nth-child(1) h3 {
    font-size: 22px;
    margin-top: 2rem;
    line-height: 1.4;
}

/* Outgoing form - Accommodation radio buttons - font size */
.tripito-trip-outgoing-form nf-field:nth-child(3) {
    font-size: 16px;
}

/* Outgoing form - Radio buttons */
.tripito-trip-outgoing-form nf-field:nth-child(3) .list-radio-wrap .nf-field-element li:not(:first-child) {
    margin-top: 14px!important;
}

/* Outgoing form - Radio buttons - circles */
.tripito-trip-outgoing-form nf-field:nth-child(3) .list-radio-wrap .nf-field-element li input {
    width: 24px!important;
    height: 24px;
    margin: 1px 12px;
}

/* Outgoing form - GDPR and Marketing - less margin bottom */
.tripito-trip-outgoing-form nf-field:nth-child(9) div,
.tripito-trip-outgoing-form nf-field:nth-child(10) div {
    margin-bottom: 7px;
}

@media (min-width: 980px) {
    .tripito-trip-outgoing-form nf-field:nth-child(1),
    .tripito-trip-outgoing-form nf-field:nth-child(2),
    .tripito-trip-outgoing-form nf-field:nth-child(3) {
        padding-right: 24px;
    }

    .tripito-trip-outgoing-form nf-field:nth-child(1) {
        grid-area: trip-outgoing-form-before-text;
        font-size: 20px;
    }

    .tripito-trip-outgoing-form nf-field:nth-child(1) p {
        font-size: 20px;
    }

    .tripito-trip-outgoing-form nf-field:nth-child(2) {
        grid-area: trip-outgoing-form-date;
    }

    .tripito-trip-outgoing-form nf-field:nth-child(3) {
        grid-area: trip-outgoing-form-accommodation;
    }

    .tripito-trip-outgoing-form nf-field:nth-child(4) {
        grid-area: trip-outgoing-form-name;
    }

    .tripito-trip-outgoing-form nf-field:nth-child(5) {
        grid-area: trip-outgoing-form-email;
    }

    .tripito-trip-outgoing-form nf-field:nth-child(6) {
        grid-area: trip-outgoing-form-phone;
    }

    .tripito-trip-outgoing-form nf-field:nth-child(7) {
        grid-area: trip-outgoing-form-number-of-people;
    }

    .tripito-trip-outgoing-form nf-field:nth-child(8) {
        grid-area: trip-outgoing-form-message;
    }

    .tripito-trip-outgoing-form nf-field:nth-child(9) {
        grid-area: trip-outgoing-form-gdpr;
    }

    .tripito-trip-outgoing-form nf-field:nth-child(10) {
        grid-area: trip-outgoing-form-marketing;
    }

    .tripito-trip-outgoing-form nf-field:nth-child(11) {
        grid-area: trip-outgoing-form-button;
    }

    .tripito-trip-outgoing-form nf-field:nth-child(11) .nf-field-element {
        display: flex;
        justify-content: end;
    }

    .tripito-trip-outgoing-form nf-fields-wrap {
        display: grid;
        column-gap: 24px;
        grid-template-columns: 2fr 1fr 1fr;
        grid-template-areas:
        "trip-outgoing-form-before-text    trip-outgoing-form-name      trip-outgoing-form-email"
        "trip-outgoing-form-before-text    trip-outgoing-form-phone     trip-outgoing-form-number-of-people"
        "trip-outgoing-form-date           trip-outgoing-form-message   trip-outgoing-form-message"
        "trip-outgoing-form-accommodation  trip-outgoing-form-message   trip-outgoing-form-message"
        "trip-outgoing-form-accommodation  trip-outgoing-form-gdpr      trip-outgoing-form-gdpr"
        "trip-outgoing-form-accommodation  trip-outgoing-form-marketing trip-outgoing-form-marketing"
        "trip-outgoing-form-accommodation  trip-outgoing-form-button    trip-outgoing-form-button";
    }
}

@media (min-width: 1180px) {
    .tripito-trip-outgoing-form nf-field:nth-child(1),
    .tripito-trip-outgoing-form nf-field:nth-child(2),
    .tripito-trip-outgoing-form nf-field:nth-child(3) {
        padding-right: 25%;
    }
}

/* under Outgoing form > Additional info */
.tripito-trip-outgoing-form__additional-info {
    display: flex;
    flex-direction: column;
}

/* under Outgoing form > Additional info > Travel info */
.tripito-trip-outgoing-form__additional-info-travel-info {}

.tripito-trip-outgoing-form__additional-info-travel-info h4 {
    font-size: 14px;
    font-weight: 400;
    text-transform: uppercase;
}

/* Line under the Heading */
.tripito-trip-outgoing-form__additional-info-travel-info h4::after {
    content: '';
    display: block;
    width: 100px;
    height: 1px;
    background: #A19897;
    margin: 15px 0 3px 0;
}

.tripito-trip-outgoing-form__additional-info-travel-info .tripito-icon-and-text__item-text {
    font-size: 12px;
    font-weight: 500;
    letter-spacing: 2%;
}

/* under Outgoing form > Additional info > Contact info */
.tripito-trip-outgoing-form__additional-info-contact-info {
    margin-top: 40px;
    align-self: start;
}

@media (min-width: 950px) {
    .tripito-trip-outgoing-form__additional-info-contact-info {
        align-self: end;
    }
}

.tripito-trip-outgoing-form__additional-info-contact-info h4 {
    font-size: 24px;
    font-weight: 600;
    line-height: 1.4;
    margin-bottom: 20px;
}

.tripito-trip-outgoing-form__additional-info-contact-info .tripito-icon-and-text__item-text {
    font-size: 16px;
    font-weight: 500;
    letter-spacing: 5%;
}

.et-db #et-boc .et-l .tripito-trip-outgoing-form__additional-info-contact-info .tripito-icon-and-text__item-text a,
.et-db #et-boc .et-l .tripito-trip-outgoing-form__additional-info-contact-info .tripito-icon-and-text__item-text a:link,
.et-db #et-boc .et-l .tripito-trip-outgoing-form__additional-info-contact-info .tripito-icon-and-text__item-text a:visited,
.et-db #et-boc .et-l .tripito-trip-outgoing-form__additional-info-contact-info .tripito-icon-and-text__item-text a:hover,
.et-db #et-boc .et-l .tripito-trip-outgoing-form__additional-info-contact-info .tripito-icon-and-text__item-text a:active {
    color: var(--main-tripito-text-color);
    text-decoration: none;
}


/* Icon and Text beside themselves. Icon is vertically centered. [reusable block] */
.tripito-icon-and-text {
    display: flex;
    flex-direction: column;
    gap: 17px;
}

.tripito-icon-and-text__item {
    display: flex;
    gap: 10px;
}

.tripito-icon-and-text__item-icon {
    padding-top: 2px;
    width: 21px;
    height: 21px;
    align-self: center;
}

.tripito-icon-and-text__item-text {}

/* Incoming form */
.tripito-trip-incoming-form nf-field:nth-child(6) div,
.tripito-trip-incoming-form nf-field:nth-child(7) div {
    margin-bottom: 7px;
}


/* Krajina (Country) ------------------- */
/* ------------------------------------- */
/* ------------------------------------- */

/* Krajina - Header */
.tripito-country-header {}
.tripito-country-header p {
    font-size: 20px;
}
.tripito-country-column-and-photo {}
.tripito-country-small-trip-cards {}
.tripito-country-two-columns-and-map {}
.tripito-country-gallery {}
.tripito-country-video {}

/* Small Trip Cards (CPT Grid module) - used on templates: Krajina, Zájazd ------------------------------ */

/* Small Trip Cards */
.tripito-small-trip-cards {
    margin: 0 0 50px 0;
}

.tripito-small-trip-cards .df-item-wrap h2 a {
    font-weight: 800;
    font-size: 24px;
    text-decoration: none;
}

/* Small Trip Card > Set link color */
.et-db #et-boc .et-l .tripito-small-trip-cards .df-item-wrap h2 a,
.et-db #et-boc .et-l .tripito-small-trip-cards .df-item-wrap h2 a:link,
.et-db #et-boc .et-l .tripito-small-trip-cards .df-item-wrap h2 a:hover {
    color: white;
}

/* Small Trip Cards > Tags */
.tripito-small-trip-cards .df-cpt-taxonomies a {
    background: #ff1010;
    border-radius: 20px;
    padding-left: 7px;
    padding-right: 8px;
    font-size: 12px;
    pointer-events: none;  /* Make tags unclickable on Small Trip Cards */
    cursor: default;       /* Make tags unclickable on Small Trip Cards */
    text-decoration: none; /* Make tags unclickable on Small Trip Cards */
    margin-top: 6px;
    margin-right: 3px;
}

/* Small Trip Cards > Title and perex on max 2 rows */
.tripito-small-trip-cards .df-cpt-title a,
.tripito-small-trip-cards .df-cpt-content-wrap {
    line-height: 1.2;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
}

/* Force color white on links - Small Trip Cards */
.et-db #et-boc .et-l .tripito-small-trip-cards .df-cpt-taxonomies a,
.et-db #et-boc .et-l .tripito-small-trip-cards .df-cpt-taxonomies a:link,
.et-db #et-boc .et-l .tripito-small-trip-cards .df-cpt-taxonomies a:visited,
.et-db #et-boc .et-l .tripito-small-trip-cards .df-cpt-taxonomies a:active {
    color: white;
}
/* Fix "# of Days" text next to CPT Grid Icon - Small Trip Cards */
.tripito-small-trip-cards .df-item-wrap.df-cpt-custom-text.difl_cptitem_5_tb_body {
    margin-bottom: 7px;
}

.et-db #et-boc .et-l .tripito-small-trip-cards .df-item-wrap.df-cpt-taxonomies {
    flex-wrap: wrap;
}

/* Hide wrongly added space, that I cannot set in CPT Grid setting to remove it. */
.et-db #et-boc .et-l .tripito-small-trip-cards .df-item-wrap.df-cpt-taxonomies .tax-before-text {
    display: none;
}

/*
 Small Trip Cards > Black filter in front of the whole card.

 There is need to overwrite this Divi generated CSS:
      .et-db #et-boc .et-l .difl_cptgrid_0_tb_body .df-cpt-inner-wrap {
          background-image: initial;
      }
 But class name .difl_cptgrid_0_tb_body is dynamically generated, so we need to override it in every situation.
 This is why I use "!important" rule here.
*/
.tripito-small-trip-cards .df-cpt-inner-wrap {
    background: linear-gradient(180deg, rgba(0, 0, 0, 0) 0%, rgba(0, 0, 0, 0.64) 100%) !important;
    background-blend-mode: multiply !important;
}

/* Small Trip Cards > Align whole Card content to bottom */
/*.archive.tax-country .df-cpt-inner-wrap {
	display: flex;
  	flex-direction: column;
  	justify-content: flex-end; *//* aligns ALL content to bottom */
/*
}
*/

/* Price Note ---------------------------------------------- */
.et-db #et-boc .et-l .et_pb_section.tripito-trip-price-note {
    background-color: #e5f3fb;
}

.tripito-trip-price-note__row {
    padding: 15px 0;
    border-top: 1px solid #a19897;
}


/* Footer ---------------------------------------------- */

.tripito-footer {}

/* Fix links underline */
.et-db #et-boc .et-l .tripito-footer a,
.et-db #et-boc .et-l .tripito-footer a:link {
    text-decoration: none;
    color: white;
}

/* Fix links default Divi hover effect */
.et-db #et-boc .et-l .tripito-footer a:hover,
#et-boc #menu-footer-menu a:hover,
#et-boc .et-l--footer a:hover {
    color: #ff1010;
    opacity: 1;
}

.tripito-footer-text-zazitky p {
    font-size: 24px;
}

/* Footer > Footer menu > Make footer menu vertical. */
#menu-footer-menu {
    flex-direction: column;
}

/* Footer > Social icons */
.footer-social-icons {
    position: relative;
    right: 18px;
}

/* Footer > Tripito logo */
.footer-tripito-logo {
    position: relative;
    right: 20px;
}

/* Footer > Don't show mobile hamburger menu in footer */
.et-db #et-boc .et-l .tripito-footer .et_pb_menu .et_pb_menu__menu {
    display: flex;
}

/* Footer > Don't show mobile hamburger menu in footer */
.et-db #et-boc .et-l .tripito-footer .et_pb_menu .et_mobile_nav_menu {
    display: none;
}

/* Footer menu - A padding --- */
.et-db #et-boc .et-l .tripito-footer .et_pb_menu--without-logo .et_pb_menu__menu > nav > ul > li > a {
    padding: 12px;
}

/* Contact form in Footer */
.tripito-footer-contact-form {}

#et-boc .et-l--footer .tripito-footer-contact-form__contacts a,
#et-boc .et-l--footer .tripito-footer-contact-form__contacts a:link,
#et-boc .et-l--footer .tripito-footer-contact-form__contacts a:visited,
#et-boc .et-l--footer .tripito-footer-contact-form__contacts a:hover,
#et-boc .et-l--footer .tripito-footer-contact-form__contacts a:active {
    color: var(--main-tripito-text-color);
    text-decoration: none;
}

#et-boc .et-l--footer .tripito-footer-contact-form__contacts a:hover {
    text-decoration: underline;
}

@media (max-width: 1260px) {
    .tripito-footer .tripito-footer-partneri {
        flex-direction: column;
        align-items: start;
    }
}



/* Homepage ---------------------------------------------- */
/* Homepage > Hero image > Remove black gradient effect */
.home.et-db #et-boc .et-l .et_pb_section.et_pb_section_0_tb_body::after {
    background: none;
}

/* Homepage > Hero Image taller and wider (than on Page) */
.home.et-db #et-boc .et-l .et_pb_section.et_pb_section_0_tb_body {
    padding-top: calc(50px + 20vw);
    padding-bottom: calc(50px + 25vw);
}

.home .tripito-homepage-heading-word-thin {
    font-weight: 300;
}

.home .tripito-homepage-heading-word-bold {
    font-weight: 800;
}

.home h2 {
    font-size: 32px;
    font-weight: 800;
}

.home .tripito-country-selection-menu {
    padding: 60px 0;
}

@media (min-width: 980px) {
    .home .tripito-country-selection-menu {
        padding-top: 120px;
    }
}

/* Carousel of Countries - Add shadow - for Title, Subtitle and Tags */
.tripito-homepage-carousel-of-countries .df_cci_container h2,
.tripito-homepage-carousel-of-countries .df_cci_container p {
    text-shadow: 1px 1px 2px black;
}

/* Carousel of Countries - More line-height for Subtitle */
.tripito-homepage-carousel-of-countries .difl_contentcarousel_0_tb_body .df_cc_subtitle {
    line-height: 1.4;
}

/* Carousel of Countries - Tags styling */
.tripito-homepage-carousel-of-countries .df_cc_content {
    font-size: 12px;
    text-transform: uppercase;
    font-weight: 600;
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    gap: 7px;
}

.tripito-homepage-carousel-of-countries .df_cc_content span {
    padding: 2px 8px;
    border-radius: 12px;
    color: var(--main-tripito-text-color);
}

.tripito-homepage-carousel-of-countries .df_cc_content span:nth-child(1) {
    background-color: #FF9E9F;
}

.tripito-homepage-carousel-of-countries .df_cc_content span:nth-child(2) {
    background-color: #FCD681;
}

/* Homepage DiviFlash Advanced Carousel - Black effect on main image */
.df_cci_container {
    background: linear-gradient(180deg, rgba(0, 0, 0, 0) 0%, rgba(0, 0, 0, 0.47) 100%);
    background-blend-mode: multiply;
}

/* Homepage > Blog section > Blog posts > H2*/
.home .tripito-homepage-blog .tripito-homepage-blog__posts h2 {
    font-size: 16px;
    font-weight: 600;
}

.home .tripito-homepage-blog .tripito-homepage-blog__posts h2 a,
.home .tripito-homepage-blog .tripito-homepage-blog__posts h2 a:link,
.home .tripito-homepage-blog .tripito-homepage-blog__posts h2 a:visited,
.home .tripito-homepage-blog .tripito-homepage-blog__posts h2 a:hover,
.home .tripito-homepage-blog .tripito-homepage-blog__posts h2 a:active {
    color: #43322E;
    text-decoration: none;
}

/* Admin bar on frontend ---------------------------------------------- */

/*
    Add custom CSS to the admin bar on frontend
    - Code needs to be also here in frontend style.css because admin bar is visible also on frontend,
      therefore admin-style.css wont work here.
*/
#wpadminbar #wp-admin-bar-tripito-local-environment-notice .ab-item {
    color: black;
    background-color: yellow;
}

#wpadminbar #wp-admin-bar-tripito-test-environment-notice .ab-item {
    color: black;
    background-color: #40ff40;
}

#wpadminbar #wp-admin-bar-tripito-test-testdivi-notice .ab-item {
    color: black;
    background-color: #7709c1;
}

#wpadminbar #wp-admin-bar-tripito-production-environment-notice .ab-item {
    color: black;
    background-color: red;
}

/* Ninja Forms ---------------------------------------------- */

/* Success message */
.nf-form-cont .nf-response-msg {
    border: 3px solid green;
    padding: 18px;
    background: #efffef;
    border-radius: 8px;
    margin-bottom: 20px;
}

/* Inputs */
.nf-form-cont .ninja-forms-field.nf-element {
    background: #FFFFFF;
    border-radius: 8px;
    padding: 18px 18px;
    box-shadow: 0 4px 8px 0 #0000000D;
    font-size: 16px;
}

/* Label */
.nf-form-cont .nf-field-label {
    font-size: 16px;
    font-weight: 600;
    margin-bottom: 8px;
}

/* Polia označené hviezdičkou * sú povinné. */
.nf-form-cont .nf-form-fields-required {
    margin-bottom: 10px
}

/* Submit button*/
.nf-form-cont .submit-wrap .ninja-forms-field.nf-element {
    text-transform: uppercase;
    border-radius: 23px;
    padding: 13px 24px;
    background: var(--main-tripito-red-color);
    border: solid 1px var(--main-tripito-red-color);
    color: white;
    cursor: pointer;
    margin: 12px 0;
    font-weight: bold;
    font-size: 16px;
    line-height: 100%;
    box-shadow: 0 4px 8px 0 #00000026;
}

input.text,
input.title,
input[type="email"],
input[type="password"],
input[type="tel"],
input[type="text"],
input[type="number"],
select,
textarea {
    border: none;
}

.nf-error-field-errors {
    margin-bottom: 30px;
}

/* Ninja Forms - Footer Contact Form ------------------------ */

/* Footer Contact form - Name and Email - mobile - in one column */
.tripito-footer-contact-form__form nf-fields-wrap {
    display: flex;
    flex-direction: column;
}

/* Footer Contact form - GDPR and Marketing - less margin bottom */
.tripito-footer-contact-form__form nf-field:nth-child(4) div,
.tripito-footer-contact-form__form nf-field:nth-child(5) div {
    margin-bottom: 7px;
}

/* Footer Contact form - Name and Email - tablet - in one row */
@media (min-width: 600px) {
    .tripito-footer-contact-form__form nf-field:nth-child(1) {
        grid-area: footer-contact-form-name;
    }

    .tripito-footer-contact-form__form nf-field:nth-child(2) {
        grid-area: footer-contact-form-email;
    }

    .tripito-footer-contact-form__form nf-field:nth-child(3) {
        grid-area: footer-contact-form-message;
    }

    .tripito-footer-contact-form__form nf-field:nth-child(4) {
        grid-area: footer-contact-form-gdpr;
    }

    .tripito-footer-contact-form__form nf-field:nth-child(5) {
        grid-area: footer-contact-form-marketing;
    }

    .tripito-footer-contact-form__form nf-field:nth-child(6) {
        grid-area: footer-contact-form-button;
    }

    .tripito-footer-contact-form__form nf-fields-wrap {
        display: grid;
        column-gap: 24px;
        grid-template-columns: 50% 50%;
        grid-template-rows: auto auto auto;
        grid-template-areas:
        "footer-contact-form-name      footer-contact-form-email"
        "footer-contact-form-message   footer-contact-form-message"
        "footer-contact-form-gdpr      footer-contact-form-gdpr"
        "footer-contact-form-marketing footer-contact-form-marketing"
        "footer-contact-form-button    footer-contact-form-button";
    }
}

/* Footer Contact form section - design for Desktop */
@media (min-width: 980px) {
    .tripito-footer-contact-form__heading {
        grid-area: footer-form-section-heading;
    }

    .tripito-footer-contact-form__form {
        grid-area: footer-form-section-form;
    }

    .tripito-footer-contact-form__contacts {
        grid-area: footer-form-section-contacts;
    }

    .tripito-footer-contact-form__socials {
        grid-area: footer-form-section-socials;
    }

    .et-db #et-boc .et-l .et_flex_column.tripito-footer-contact-form__wrapper {
        display: grid;
        column-gap: 6%;
        grid-template-columns: 47% 47%;
        grid-template-rows: 19% 54%;
        grid-template-areas:
    "footer-form-section-heading  footer-form-section-form"
    "footer-form-section-contacts footer-form-section-form"
    "footer-form-section-socials  footer-form-section-form";
    }
}

/* Blog - archive ---------------------------------------------- */

/* Small Blog Card > remove underline */
.tripito-small-blog-cards .df-item-wrap h2 a {
    text-decoration: none;
}

/* Small Blog Card > Set link color */
.et-db #et-boc .et-l .tripito-small-blog-cards .df-item-wrap h2 a,
.et-db #et-boc .et-l .tripito-small-blog-cards .df-item-wrap h2 a:link,
.et-db #et-boc .et-l .tripito-small-blog-cards .df-item-wrap h2 a:hover {
    color: var(--main-tripito-text-color);
}

/* Blog - single ---------------------------------------------- */
.tripito-blog-single-post-content {
    max-width: 50rem;
    margin: 0 auto;
}

/* O nás - Page ---------------------------------------------- */

.tripito-o-nas-header {
}

.tripito-o-nas-intro-1 {
}

.tripito-o-nas-intro-2 {
}

.tripito-o-nas-guides-carousel {
}

.tripito-o-nas-guides-carousel .df-cpt-inner-wrap .df-item-wrap:nth-child(1) {
    grid-area: o-nas-guide-foto;
}

.tripito-o-nas-guides-carousel .df-cpt-inner-wrap .df-item-wrap:nth-child(1) img {
    border-radius: 16px;
}

.tripito-o-nas-guides-carousel .df-cpt-inner-wrap .df-item-wrap:nth-child(2) {
    grid-area: o-nas-guide-heading;
    margin-top: 20px;
}

.tripito-o-nas-guides-carousel .df-cpt-inner-wrap .df-item-wrap:nth-child(3) {
    grid-area: o-nas-guide-custom-text;
    margin: 10px 0 16px 0;
}

.tripito-o-nas-guides-carousel .df-cpt-inner-wrap .df-item-wrap:nth-child(4) {
    grid-area: o-nas-guide-content-text;
}

.tripito-o-nas-guides-carousel .df-cpt-inner-wrap .df-item-wrap:nth-child(4) .df-acf-field-inner {
    display: flex;
    flex-direction: column;
}

.tripito-o-nas-guides-carousel .df-cpt-inner-wrap {
    display: grid;
    column-gap: 32px;
    grid-template-columns: 1fr;
    grid-template-rows: min-content min-content min-content min-content;
    grid-template-areas:
        "o-nas-guide-foto"
        "o-nas-guide-heading"
        "o-nas-guide-custom-text"
        "o-nas-guide-content-text";
}

@media (min-width: 484px) {
    .tripito-o-nas-guides-carousel .df-cpt-inner-wrap {
        grid-template-columns: 1fr 1fr;
        grid-template-rows: min-content min-content 1fr;
        grid-template-areas:
        "o-nas-guide-foto o-nas-guide-heading"
        "o-nas-guide-foto o-nas-guide-custom-text"
        "o-nas-guide-foto o-nas-guide-content-text";
    }

    .tripito-o-nas-guides-carousel .df-cpt-inner-wrap .df-item-wrap:nth-child(2) {
        margin-top: 0;
    }
}

/* Testimonials ---------------------------------------------- */

/* Testimonials - Fix paragraph font-size */
.tripito-testimonials p {
    font-size: 12px;
    line-height: 18px;
}

/* Testimonials - Make author box start on the left (not in center) */
.tripito-testimonials .difl_testimonialcarousel_0_tb_body .df_tc_author_box {
    justify-content: start;
}

/* Testimonials - Make image width and height 62px and round border */
.tripito-testimonials .difl_testimonialcarousel_0_tb_body .df_tc_author_box .df_tc_author_image {
    display: none;
}


/* Specific CSS ---------------------------------------------- */

/* Button - Call to action */
.tripito-button {
    display: flex;
    margin: 12px 0;
    font-weight: bold;
    font-size: 16px;
    line-height: 100%;
    text-transform: uppercase;
    border-radius: 23px;
    padding: 13px 24px;
    border: solid 1px var(--main-tripito-red-color);
    background: var(--main-tripito-red-color);
    color: white;
    cursor: pointer;
    box-shadow: 0 4px 8px 0 #00000026;
}

.tripito-button:hover {
    background: white;
    color: black;
}

/* Anchor version of Button is used on Zajazd Trip Dates Cards */
.et-db #et-boc .et-l a.tripito-button:link,
.et-db #et-boc .et-l a.tripito-button:visited,
.et-db #et-boc .et-l a.tripito-button:active {
    color: white;
    text-decoration: none;
}

.et-db #et-boc .et-l a.tripito-button:hover {
    color: black;
    text-decoration: none;
}